MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000960XdebugUsage problems (Wrong Results)public2013-07-09 15:232014-05-20 17:37
Reporteripoddubny 
Assigned Toderick 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.2.3 
Target VersionFixed in Version2.2.6 
Summary0000960: Apache crashes on xdebug_start_code_coverage
DescriptionApache sometimes segfaults on my test servers for computing code coverage. According to gdb's backtrace, crash always occurs on a line with "xdebug_start_code_coverage". It seems like global variables previous_filename and previous_file are used before initialization in xdebug_code_coverage.c. It no longer crashes after I've added initialization to xdebug.c:
+ XG(previous_filename) = "";
+ XG(previous_file) = NULL;
Additional InformationGDB backtrace:
#0 __strcmp_ssse3 () at ../sysdeps/x86_64/strcmp.S:213
#1 0x00007fc7eaddf614 in xdebug_count_line (filename=0x7fc7f9130a10 <Address 0x7fc7f9130a10 out of bounds>, lineno=61, executable=0,
    deadcode=40) at /usr/src/debug/php-pecl-xdebug-2.2.3/xdebug-2.2.3/xdebug_code_coverage.c:305
0000002 0x00007fc7eaddfaac in xdebug_common_override_handler (execute_data=0x7fc7f9130a10)
    at /usr/src/debug/php-pecl-xdebug-2.2.3/xdebug-2.2.3/xdebug_code_coverage.c:66
0000003 0x00007fc7edbeb912 in ?? () from /etc/httpd/modules/libphp5.so
0000004 0x00007fc7edc21228 in execute () from /etc/httpd/modules/libphp5.so
0000005 0x00007fc7eaddc9e9 in xdebug_execute (op_array=0x7fc7f8437708) at /usr/src/debug/php-pecl-xdebug-2.2.3/xdebug-2.2.3/xdebug.c:1435
0000006 0x00007fc7edbb7cd0 in zend_execute_scripts () from /etc/httpd/modules/libphp5.so
0000007 0x00007fc7edb5a218 in php_execute_script () from /etc/httpd/modules/libphp5.so
0000008 0x00007fc7edc622c5 in ?? () from /etc/httpd/modules/libphp5.so
0000009 0x00007fc7f84f7bb0 in ap_run_handler ()
0000010 0x00007fc7f84fb46e in ap_invoke_handler ()
0000011 0x00007fc7f8506b30 in ap_process_request ()
0000012 0x00007fc7f85039a8 in ?? ()
0000013 0x00007fc7f84ff6b8 in ap_run_process_connection ()
0000014 0x00007fc7f850b977 in ?? ()
0000015 0x00007fc7f850bc8a in ?? ()
0000016 0x00007fc7f850bfbb in ap_mpm_run ()
0000017 0x00007fc7f84e3900 in main ()
TagsNo tags attached.
Operating SystemLinux
PHP Version5.4.8
Attached Files

- Relationships

-  Notes
(0002838)
derick (administrator)
2014-05-20 17:37

Fixed for 2.2.6 and 2.3dev. Thanks again for the patch!

- Issue History
Date Modified Username Field Change
2013-07-09 15:23 ipoddubny New Issue
2014-05-20 17:37 derick Note Added: 0002838
2014-05-20 17:37 derick Status new => resolved
2014-05-20 17:37 derick Fixed in Version => 2.2.6
2014-05-20 17:37 derick Resolution open => fixed
2014-05-20 17:37 derick Assigned To => derick
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker